/* TableStyleMedium23.java

	Purpose:
		
	Description:
		
	History:
		Mar 30, 2015 5:17:51 PM, Created by henrichen

	Copyright (C) 2015 Potix Corporation. All Rights Reserved.
*/

package org.zkoss.zssex.model.sys;

import org.zkoss.zss.model.SBorder.BorderType;
import org.zkoss.zss.model.SFill.FillPattern;
import org.zkoss.zss.model.STableStyleElem;
import org.zkoss.zss.model.SFont.Underline;
import org.zkoss.zss.model.impl.BorderImpl;
import org.zkoss.zss.model.impl.BorderLineImpl;
import org.zkoss.zss.model.impl.ExtraFillImpl;
import org.zkoss.zss.model.impl.FontImpl;
import org.zkoss.zss.model.impl.TableStyleElemImpl;
import org.zkoss.zss.model.impl.TableStyleImpl;

/**
 * Builtin TableStyleMediumn23
 * 
 * @author henri
 * @since 3.8.0
 */
public class TableStyleMedium23 extends TableStyleImpl {
	private TableStyleMedium23() {
		super(
				"TableStyleMedium23",//name,
				M23_Whole_Table, 	//wholeTable,
				M23_Col_Stripe1, 	//colStripe1,
				1, 					//colStripe1Size,
				null, 				//colStripe2,
				1, 					//colStripe2Size,
				M23_Row_Stripe1, 	//rowStripe1,
				1, 					//rowStripe1Size,
				null,				//rowStripe2,
				1, 					//rowStripe2Size,
				M23_Last_Col, 	//lastCol,
				M23_First_Col,	//firstCol,
				M23_Header_Row,	//headerRow,
				M23_Total_Row,	//totalRow,
				null,	//firstHeaderCell,
				null,	//lastHeaderCell,
				null,	//firstTotalCell,
				null	//lastTotalCell
			);
	}
	
	private static final STableStyleElem M23_Col_Stripe1 = 
			new TableStyleElemImpl(
				null,	//font
				new ExtraFillImpl(FillPattern.SOLID, "B8CCE4", "B8CCE4"), 	//fill //ZSS-1162
				null	//border
			);

	private static final STableStyleElem M23_Row_Stripe1 =
			M23_Col_Stripe1;
	private static final STableStyleElem M23_Last_Col =
			new TableStyleElemImpl(
				new FontImpl("000000", true /*bold*/, false /*fontItalic*/, 
					false /*fontStrikeout*/, Underline.NONE), 			//font
				null, //fill
				null //border
			);
	private static final STableStyleElem M23_First_Col =
			M23_Last_Col;
	private static final STableStyleElem M23_Total_Row =
			new TableStyleElemImpl(
					new FontImpl("000000", true /*bold*/, false /*fontItalic*/, 
							false /*fontStrikeout*/, Underline.NONE), 	//font
					null,//fill
					new BorderImpl(
							null, //left 
							new BorderLineImpl(BorderType.MEDIUM, "4F81BD"), //top 
							null, //right
							null, //bottom
							null, //diagonal
							null, //vertical
							null  //horizontal
					)
			);
	private static final STableStyleElem M23_Header_Row =
			new TableStyleElemImpl(
					new FontImpl("000000", true /*bold*/, false /*fontItalic*/, 
							false /*fontStrikeout*/, Underline.NONE), 	//font
					null,//fill
					null
			);
	private static final BorderLineImpl M23_Border_Line = 
			new BorderLineImpl(BorderType.THIN, "95B3D7");
	private static final STableStyleElem M23_Whole_Table = 
			new TableStyleElemImpl(
					new FontImpl("000000", false /*bold*/, false /*fontItalic*/, 
							false /*fontStrikeout*/, Underline.NONE), 	//font
					new ExtraFillImpl(FillPattern.SOLID, "DBE5F1", "DBE5F1"),//fill //ZSS-1162
					new BorderImpl(
							M23_Border_Line, //left 
							M23_Border_Line, //top 
							M23_Border_Line, //right
							M23_Border_Line, //bottom
							null, //diagonal
							M23_Border_Line, //vertical
							M23_Border_Line 	//horizontal
					)
			);

	public static final TableStyleMedium23 instance = new TableStyleMedium23();
}
